For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • GETGet your transactional email activity aggregated per day
      • GETGet all your transactional email activity (unaggregated events)
      • GETGet your transactional email activity aggregated over a period of time
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIEmail statistics

Get your transactional email activity aggregated per day

GET
https://api.brevo.com/v3/smtp/statistics/reports
GET
/v3/smtp/statistics/reports
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.getSmtpReport({});
8}
9main();
1{
2 "reports": [
3 {
4 "blocked": 519,
5 "clicks": 1026,
6 "date": "2017-04-30",
7 "delivered": 10103,
8 "hardBounces": 21,
9 "invalid": 1,
10 "opens": 5091,
11 "requests": 10756,
12 "softBounces": 137,
13 "spamReports": 0,
14 "uniqueClicks": 720,
15 "uniqueOpens": 2318,
16 "unsubscribed": 0
17 },
18 {
19 "blocked": 920,
20 "clicks": 1514,
21 "date": "2017-05-01",
22 "delivered": 17499,
23 "hardBounces": 34,
24 "invalid": 2,
25 "opens": 10089,
26 "requests": 18812,
27 "softBounces": 254,
28 "spamReports": 0,
29 "uniqueClicks": 1090,
30 "uniqueOpens": 4393,
31 "unsubscribed": 3
32 }
33 ]
34}

This endpoint will show the aggregated stats per day for the past 10 days by default if startDate and endDate OR days is not passed. The date range can not exceed 30 days.

Was this page helpful?
Previous

Get all your transactional email activity (unaggregated events)

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitlongOptional0-30Defaults to 10
Number of documents returned per page
offsetlongOptionalDefaults to 0
Index of the first document on the page
startDatestringOptional

Mandatory if endDate is used. Starting date of the report (YYYY-MM-DD)

endDatestringOptional

Mandatory if startDate is used. Ending date of the report (YYYY-MM-DD)

dayslongOptional<=30

Number of days in the past including today (positive integer, maximum 30). Not compatible with ‘startDate’ and ‘endDate’

tagstringOptional
Tag of the emails
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

Aggregated report informations
reportslist of objects

Errors

400
Bad Request Error